Subject: Re: [ipfix] [issue] INFO-30 Normative status of section 6 vs. Appendix A

From: "Jeff Meyer" <[email-masked]>
Date: Wed, 28 Jan 2004 08:43:34 -0800

Stewart,

  Any rationale here, or you just have an aversion to anything with XML in 
it?

-- Jeff

>From: Stewart Bryant <[email-masked]>
>Reply-To: [email-masked]
>To: Jeff Meyer <[email-masked]>
>CC: [email-masked]
>Subject: Re: [ipfix] [issue] INFO-30  Normative status of section 6 vs. 
>Appendix A
>Date: Wed, 28 Jan 2004 10:32:41 +0000
>
>
>
>Jeff Meyer wrote:
>>The info-02 draft states this as an open issue.  It is time to close it.
>>
>>Providing a formal specification reusing industry standard XML has 
>>benefits outlined in section 7. The formal specificaiton represent a 
>>departure from much of the RFC work, with the notable exception of 
>>activities like SNMP which adopted the ASN.1 based MIBs as a means of 
>>formals specification.  A current example not following any formal model 
>>today is work w/in Diameter, or previously work done in RADIUS.
>>
>>Hence the recommendation is to make Appendix A normative.
>>
>
>I disagree and ask the WG chairs to check WG concensus.
>
>Stewart
>
>>Alternatively one could argue that to make the lowest possible barrier to 
>>extension by others to simply define the text base components, one could 
>>manually transcribe this to XML-Schema as a manual process following the 
>>example in appendix A.
>>
>>-- Jeff
>>
>>_________________________________________________________________
>>Check out the new MSN 9 Dial-up — fast & reliable Internet access with 
>>prime features! http://join.msn.com/?pgmarket=en-us&page=dialup/home&ST=1
>>
>>
>>--
>>Help        mailto:[email-masked] and say "help" in message 
>>body
>>Unsubscribe mailto:[email-masked] and say
>>"unsubscribe ipfix" in message body
>>Archive     http://ipfix.doit.wisc.edu/archive/
>>
>>
>

_________________________________________________________________
Let the new MSN Premium Internet Software make the most of your high-speed 
experience. http://join.msn.com/?pgmarket=en-us&page=byoa/prem&ST=1

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 28 Jan 2004 18:12:02 +0000

Jeff Meyer wrote:

> Stewart,
> 
>  Any rationale here, or you just have an aversion to anything with XML 
> in it?

Yes.

Probably zero exporter implementors can use the XML as a direct
coding input, and certainly not all collectors implementors can.

Implementors MUST code from the normative text, and the XML is
harder to read than the table.

Therefore the normative text should be the table.

If you want to produce an XML definition as a courtesy to implementors
you can should produce a seperate informational draft.

Clearly you and I have different views on this, but as a WG draft
the info model MUST reflect the consensus of the WG, hence my
request for the chairs to test the WG consensus.

- Stewart

>> Subject: Re: [ipfix] [issue] INFO-30  Normative status of section 6 
>> vs. Appendix A
>>> formals specification.  A current example not following any formal 
>>> model today is work w/in Diameter, or previously work done in RADIUS.
>>>
>>> Alternatively one could argue that to make the lowest possible 
>>> barrier to extension by others to simply define the text base 
>>> components, one could manually transcribe this to XML-Schema as a 
>>> manual process following the example in appendix A.
>>>
>>> -- Jeff
>>>
>>> Check out the new MSN 9 Dial-up — fast & reliable Internet access 
>>> with prime features! 
>>> http://join.msn.com/?pgmarket=en-us&page=dialup/home&ST=1
>>>
>>>
>>> -- 
> Let the new MSN Premium Internet Software make the most of your 
> high-speed experience. 
> http://join.msn.com/?pgmarket=en-us&page=byoa/prem&ST=1
> 
> 
>